<%@ LANGUAGE="VBSCRIPT" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<title>Rico LiveGrid-3 Grid Example</title>

<!-- #INCLUDE FILE = "../../plugins/asp/LoadRicoClient.asp" -->
<%
Dim RicoClient
set RicoClient = new LoadRicoClient
RicoClient.SetRicoClientParentPath "../../ricoClient/"
RicoClient.CheckQueryString   ' just for demo
RicoClient.CreateLinks
set RicoClient = Nothing
%>

<%
session.contents("customergrid")="select CustomerID,CompanyName,ContactName,Address,City,Region,PostalCode,Country,Phone,Fax from customers order by CustomerID"
session.contents("ordergrid")="select CustomerID,OrderID,ShipName,ShipCity,ShipCountry,OrderDate,ShippedDate from orders order by OrderID"
session.contents("detailgrid")="select OrderID,p.ProductName,QuantityPerUnit,od.UnitPrice,Quantity,od.UnitPrice*Quantity as Total,Discount,od.UnitPrice*Quantity*(1.0-Discount) as NetPrice from order_details od left join products p on od.ProductID=p.ProductID order by od.ProductID"
%>

<link href="../demo.css" type="text/css" rel="stylesheet" />
<script type="text/javascript">
var customerGrid, orderGrid, detailGrid;

Rico.onLoad( function() {

  var opts = {  prefetchBuffer: false,
                columnSpecs   : [{canSort:false,visible:false},,,,,{type:'date'},{type:'date'}],
                canFilterDefault: false,
                dblclick      : Rico.eventHandle(window,'orderDrillDown'),
                menuEvent     : 'contextmenu',
                highlightElem : 'menuRow',
                visibleRows   : 'parent'
             };
  orderGrid=new Rico.LiveGrid ('ordergrid', new Rico.Buffer.AjaxSQL('ricoQuery.asp'), opts);
  orderGrid.menu=new Rico.GridMenu();

  var opts = {  prefetchBuffer: false,
                columnSpecs   : [{canSort:false,visible:false},,,'specDollar','specQty','specDollar','specPercent','specDollar'],
                canFilterDefault: false,
                menuEvent     : 'contextmenu',
                highlightElem : 'menuRow',
                visibleRows   : 'parent'
             };
  detailGrid=new Rico.LiveGrid ('detailgrid', new Rico.Buffer.AjaxSQL('ricoQuery.asp'), opts);
  detailGrid.menu=new Rico.GridMenu();

  var opts = {  prefetchBuffer: true,
                frozenColumns : 2,
                dblclick      : Rico.eventHandle(window,'customerDrillDown'),
                menuEvent     : 'contextmenu',
                highlightElem : 'menuRow',
                visibleRows   : 'parent'
             };
  customerGrid=new Rico.LiveGrid ('customergrid', new Rico.Buffer.AjaxSQL('ricoQuery.asp'), opts);
  customerGrid.menu=new Rico.GridMenu();
});

function MeasureLayout() {
  var c=Rico.select('div.gridcontainer');
  var msg='';
  for (var i=0; i < c.length; i++)
    msg+='Container'+i+': offsetHeight='+c[i].offsetHeight+'  scrollHeight='+c[i].scrollHeight+'\n';
  alert(msg);
}

function customerDrillDown(e) {
  var cell=Rico.eventElement(e);
  cell=Rico.getParentByTagName(cell,'div','ricoLG_cell');
  if (!cell) return;
  Rico.eventStop(e);
  var winIdx=customerGrid.winCellIndex(cell);
  var dataIdx=customerGrid.datasetIndex(cell);
  if (!dataIdx.onBlankRow) {
    customerGrid.highlight(winIdx);
    var custid=customerGrid.columns[0].getValue(winIdx.row);
    Rico.$("order_caption").innerHTML='Orders for '+custid;
    Rico.$("detail_caption").innerHTML="";
    orderGrid.columns[0].setSystemFilter("EQ",custid);
    detailGrid.resetContents();
  }
  return false;
}

function orderDrillDown(e) {
  var cell=Rico.eventElement(e);
  cell=Rico.getParentByTagName(cell,'div','ricoLG_cell');
  if (!cell) return;
  Rico.eventStop(e);
  var winIdx=orderGrid.winCellIndex(cell);
  var dataIdx=orderGrid.datasetIndex(cell);
  if (!dataIdx.onBlankRow) {
    orderGrid.highlight(winIdx);
    var orderid=orderGrid.columns[1].getValue(winIdx.row);
    Rico.$("detail_caption").innerHTML='Order #'+orderid;
    detailGrid.columns[0].setSystemFilter("EQ",orderid);
  }
  return false;
}

function detailDataMenu(objCell,onBlankRow) {
  return !onBlankRow;
}

</script>

<style type="text/css">
 html, body {
    height:96%;
    margin: 0px;
    padding: 0px;
    border: none;
 }


.gridcontainer {
  margin-left:5px;
  width:70%;
  overflow:visible;
  float: left;
  font-size: 8pt !important;
}

#explanation {
  overflow:auto;
  height:99%;
  width:25%;
  font-size:8pt;
  font-family:Verdana, Arial, Helvetica, sans-serif;
  float: left;
  padding: 5px;
}

div.ricoLG_cell {
  font-size: 8pt;
  height: 12px;
  white-space: nowrap;
}
</style>

</head>

<body>
<div id='explanation'>
Base Library: 
<script type='text/javascript'>
document.write(Rico.Lib+' '+Rico.LibVersion);
</script>
<hr>
<p>Unlike the other examples, grid menus are activated in this example
by <strong>right-clicking</strong> on a grid (ctrl-click in Opera, Konqueror, or Safari). 
<p>To filter: right-click 
on the value that you would like to use as the basis for filtering, 
then select the desired filtering method from the pop-up menu.
<p>Right-click anywhere in a column to see sort, hide, and show options.
<p><strong>Double-click</strong> on a row to see all orders for that customer.
Double-click on an order to see the line items for that order.
<p>Drag the edge of a column heading to resize a column.
<!--
<p><button onclick='MeasureLayout();'>Measure Grid Containers</button>
-->
</div>

<div class='gridcontainer' style='height:39%'>

<p class="ricoBookmark"><span class='ricoCaption'>Customers</span>
<span id="customergrid_bookmark"></span>
</p>
<table id="customergrid">
<colgroup>
<col style='width:60px;' >
<col style='width:150px;' >
<col style='width:115px;'>
<col style='width:130px;' >
<col style='width:90px;' >
<col style='width:60px;' >
<col style='width:90px;' >
<col style='width:100px;'>
<col style='width:115px;'>
<col style='width:115px;'>
</colgroup>
  <tr>
	  <th>Cust ID</th>
	  <th>Company</th>
	  <th>Contact</th>
	  <th>Address</th>
	  <th>City</th>
	  <th>Region</th>
	  <th>Postal Code</th>
	  <th>Country</th>
	  <th>Phone</th>
	  <th>Fax</th>
  </tr>
</table>

</div>
<div class='gridcontainer' style='height:30%'>

<p class="ricoBookmark"><span id="order_caption" class='ricoCaption'></span>
<span id="ordergrid_bookmark">&nbsp;</span>
</p>
<table id="ordergrid">
<colgroup>
<col style='width:60px;'  >
<col style='width:60px;' >
<col style='width:150px;'>
<col style='width:80px;' >
<col style='width:90px;' >
<col style='width:100px;'>
<col style='width:100px;'>
</colgroup>
  <tr>
	  <th>Customer#</th>
	  <th>Order#</th>
	  <th>Ship Name</th>
	  <th>Ship City</th>
	  <th>Ship Country</th>
	  <th>Order Date</th>
	  <th>Ship Date</th>
  </tr>
</table>

</div>
<div class='gridcontainer' style='height:30%'>

<p class="ricoBookmark"><span id="detail_caption" class='ricoCaption'></span>
<span id="detailgrid_bookmark">&nbsp;</span>
</p>
<table id="detailgrid">
<colgroup>
<col style='width:60px;'  >
<col style='width:150px;'>
<col style='width:125px;'>
<col style='width:80px;' >
<col style='width:50px;' >
<col style='width:80px;' >
<col style='width:80px;' >
<col style='width:90px;' >
</colgroup>
  <tr>
	  <th>Order #</th>
	  <th>Description</th>
	  <th>Unit Quantity</th>
	  <th>Unit Price</th>
	  <th>Qty</th>
	  <th>Total</th>
	  <th>Discount</th>
	  <th>Net Price</th>
  </tr>
</table>

</div>

</body>
</html>
